<?php

namespace Sura\Service\Autoclick\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfContactabilidadModel ArrayType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfContactabilidadModel
 * @subpackage Arrays
 */
class ArrayOfContactabilidadModel extends AbstractStructArrayBase
{
    /**
     * The ContactabilidadModel
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Sura\Service\Autoclick\StructType\ContactabilidadModel[]
     */
    public $ContactabilidadModel;
    /**
     * Constructor method for ArrayOfContactabilidadModel
     * @uses ArrayOfContactabilidadModel::setContactabilidadModel()
     * @param \Sura\Service\Autoclick\StructType\ContactabilidadModel[] $contactabilidadModel
     */
    public function __construct(array $contactabilidadModel = array())
    {
        $this
            ->setContactabilidadModel($contactabilidadModel);
    }
    /**
     * Get ContactabilidadModel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel[]|null
     */
    public function getContactabilidadModel()
    {
        return isset($this->ContactabilidadModel) ? $this->ContactabilidadModel : null;
    }
    /**
     * This method is responsible for validating the values passed to the setContactabilidadModel method
     * This method is willingly generated in order to preserve the one-line inline validation within the setContactabilidadModel method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateContactabilidadModelForArrayConstraintsFromSetContactabilidadModel(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfContactabilidadModelContactabilidadModelItem) {
            // validation for constraint: itemType
            if (!$arrayOfContactabilidadModelContactabilidadModelItem instanceof \Sura\Service\Autoclick\StructType\ContactabilidadModel) {
                $invalidValues[] = is_object($arrayOfContactabilidadModelContactabilidadModelItem) ? get_class($arrayOfContactabilidadModelContactabilidadModelItem) : sprintf('%s(%s)', gettype($arrayOfContactabilidadModelContactabilidadModelItem), var_export($arrayOfContactabilidadModelContactabilidadModelItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ContactabilidadModel property can only contain items of type \Sura\Service\Autoclick\StructType\ContactabilidadModel, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ContactabilidadModel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Sura\Service\Autoclick\StructType\ContactabilidadModel[] $contactabilidadModel
     * @return \Sura\Service\Autoclick\ArrayType\ArrayOfContactabilidadModel
     */
    public function setContactabilidadModel(array $contactabilidadModel = array())
    {
        // validation for constraint: array
        if ('' !== ($contactabilidadModelArrayErrorMessage = self::validateContactabilidadModelForArrayConstraintsFromSetContactabilidadModel($contactabilidadModel))) {
            throw new \InvalidArgumentException($contactabilidadModelArrayErrorMessage, __LINE__);
        }
        if (is_null($contactabilidadModel) || (is_array($contactabilidadModel) && empty($contactabilidadModel))) {
            unset($this->ContactabilidadModel);
        } else {
            $this->ContactabilidadModel = $contactabilidadModel;
        }
        return $this;
    }
    /**
     * Add item to ContactabilidadModel value
     * @throws \InvalidArgumentException
     * @param \Sura\Service\Autoclick\StructType\ContactabilidadModel $item
     * @return \Sura\Service\Autoclick\ArrayType\ArrayOfContactabilidadModel
     */
    public function addToContactabilidadModel(\Sura\Service\Autoclick\StructType\ContactabilidadModel $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Sura\Service\Autoclick\StructType\ContactabilidadModel) {
            throw new \InvalidArgumentException(sprintf('The ContactabilidadModel property can only contain items of type \Sura\Service\Autoclick\StructType\ContactabilidadModel, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ContactabilidadModel[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \Sura\Service\Autoclick\StructType\ContactabilidadModel|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ContactabilidadModel
     */
    public function getAttributeName()
    {
        return 'ContactabilidadModel';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \Sura\Service\Autoclick\ArrayType\ArrayOfContactabilidadModel
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
