<?php

namespace Sura\Service\Autoclick;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'EmitirPolizaModel' => '\\Sura\\Service\\Autoclick\\StructType\\EmitirPolizaModel',
            'PolizaExternaModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaModel',
            'PolizaExternaMateriaModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaMateriaModel',
            'PolizaExternaMateriaContinuidadCoberturaModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaMateriaContinuidadCoberturaModel',
            'ArrayOfArchivoAdjuntosModel' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfArchivoAdjuntosModel',
            'ArchivoAdjuntosModel' => '\\Sura\\Service\\Autoclick\\StructType\\ArchivoAdjuntosModel',
            'PolizaExternaMateriaFacturaModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaMateriaFacturaModel',
            'PolizaExternaMateriaInspeccionModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaMateriaInspeccionModel',
            'PolizaExternaPersonasModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaPersonasModel',
            'PolizaPersonaModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaPersonaModel',
            'PolizaExternaPlanPagoModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaPlanPagoModel',
            'PolizaExternaPlanPagoPACModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaPlanPagoPACModel',
            'PolizaExternaPlanPagoPATModel' => '\\Sura\\Service\\Autoclick\\StructType\\PolizaExternaPlanPagoPATModel',
            'ResultadoPolizaModel' => '\\Sura\\Service\\Autoclick\\StructType\\ResultadoPolizaModel',
            'OfertaDescuentoModel' => '\\Sura\\Service\\Autoclick\\StructType\\OfertaDescuentoModel',
            'DeducibleDescuentoModel' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleDescuentoModel',
            'OfertaDescuentoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\OfertaDescuentoResponse',
            'DeducibleDetalleProductoModel' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleDetalleProductoModel',
            'ArrayOfDeducibleCoberturaModel' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfDeducibleCoberturaModel',
            'DeducibleCoberturaModel' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleCoberturaModel',
            'DetalleProductoBaseModel' => '\\Sura\\Service\\Autoclick\\StructType\\DetalleProductoBaseModel',
            'SiniestralidadModel' => '\\Sura\\Service\\Autoclick\\StructType\\SiniestralidadModel',
            'PlanPagoModel' => '\\Sura\\Service\\Autoclick\\StructType\\PlanPagoModel',
            'ArrayOfPlanPagoCuotasModel' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfPlanPagoCuotasModel',
            'PlanPagoCuotasModel' => '\\Sura\\Service\\Autoclick\\StructType\\PlanPagoCuotasModel',
            'InformacionSolicitudInspeccionModel' => '\\Sura\\Service\\Autoclick\\StructType\\InformacionSolicitudInspeccionModel',
            'ContactoPagoModel' => '\\Sura\\Service\\Autoclick\\StructType\\ContactoPagoModel',
            'InformacionPagoModel' => '\\Sura\\Service\\Autoclick\\StructType\\InformacionPagoModel',
            'RespuestaSolicitudInspeccionModel' => '\\Sura\\Service\\Autoclick\\StructType\\RespuestaSolicitudInspeccionModel',
            'ArrayOfContactabilidadModel' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfContactabilidadModel',
            'ContactabilidadModel' => '\\Sura\\Service\\Autoclick\\StructType\\ContactabilidadModel',
            'DatosTransaccionExterna' => '\\Sura\\Service\\Autoclick\\StructType\\DatosTransaccionExterna',
            'DatosTransaccionExternaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\DatosTransaccionExternaResponse',
            'DatosTransaccionExternaBaseResponse' => '\\Sura\\Service\\Autoclick\\StructType\\DatosTransaccionExternaBaseResponse',
            'ProcesarOfertaModel' => '\\Sura\\Service\\Autoclick\\StructType\\ProcesarOfertaModel',
            'ConsultaPolizaIndividualRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaPolizaIndividualRequest',
            'ConsultaPolizaIndividualResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaPolizaIndividualResponse',
            'Fault' => '\\Sura\\Service\\Autoclick\\StructType\\Fault',
            'ArrayOfOfertaKilometro' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfOfertaKilometro',
            'OfertaKilometro' => '\\Sura\\Service\\Autoclick\\StructType\\OfertaKilometro',
            'ArrayOfOpcional' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfOpcional',
            'Opcional' => '\\Sura\\Service\\Autoclick\\StructType\\Opcional',
            'toEntrada' => '\\Sura\\Service\\Autoclick\\StructType\\ToEntrada',
            'CotizaOfertaRequest' => '\\Sura\\Service\\Autoclick\\StructType\\CotizaOfertaRequest',
            'CotizacionOferta' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionOferta',
            'DatosBase' => '\\Sura\\Service\\Autoclick\\StructType\\DatosBase',
            'Asegurado' => '\\Sura\\Service\\Autoclick\\StructType\\Asegurado',
            'DatosBien' => '\\Sura\\Service\\Autoclick\\StructType\\DatosBien',
            'Opcionales' => '\\Sura\\Service\\Autoclick\\StructType\\Opcionales',
            'CotizacionOfertaKilometroResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionOfertaKilometroResponse',
            'ArrayOfDeducibleKilometro' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfDeducibleKilometro',
            'DeducibleKilometro' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleKilometro',
            'ArrayOfFormaPago' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfFormaPago',
            'FormaPago' => '\\Sura\\Service\\Autoclick\\StructType\\FormaPago',
            'GuardaPolizaKilometrosRequest' => '\\Sura\\Service\\Autoclick\\StructType\\GuardaPolizaKilometrosRequest',
            'InformacionPolizaModel' => '\\Sura\\Service\\Autoclick\\StructType\\InformacionPolizaModel',
            'GuardaPolizaKilometrosResponse' => '\\Sura\\Service\\Autoclick\\StructType\\GuardaPolizaKilometrosResponse',
            'CotizacionOfertaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionOfertaResponse',
            'ArrayOfOferta' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfOferta',
            'Oferta' => '\\Sura\\Service\\Autoclick\\StructType\\Oferta',
            'ArrayOfDeducible' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfDeducible',
            'Deducible' => '\\Sura\\Service\\Autoclick\\StructType\\Deducible',
            'ArrayOfDeducibleCobertura' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfDeducibleCobertura',
            'DeducibleCobertura' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleCobertura',
            'ArrayOfCuota' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfCuota',
            'Cuota' => '\\Sura\\Service\\Autoclick\\StructType\\Cuota',
            'CotizadorVehiculoRequest' => '\\Sura\\Service\\Autoclick\\StructType\\CotizadorVehiculoRequest',
            'CotizadorVehiculo' => '\\Sura\\Service\\Autoclick\\StructType\\CotizadorVehiculo',
            'CotizadorVehiculoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizadorVehiculoResponse',
            'CotizadorVehiculoResult' => '\\Sura\\Service\\Autoclick\\StructType\\CotizadorVehiculoResult',
            'ArrayOfprmCotizacionVehiculoPlanesRespuesta' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfprmCotizacionVehiculoPlanesRespuesta',
            'prmCotizacionVehiculoPlanesRespuesta' => '\\Sura\\Service\\Autoclick\\StructType\\PrmCotizacionVehiculoPlanesRespuesta',
            'CotizaProductoRequest' => '\\Sura\\Service\\Autoclick\\StructType\\CotizaProductoRequest',
            'OfertaCotizacion' => '\\Sura\\Service\\Autoclick\\StructType\\OfertaCotizacion',
            'CotizacionProductoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionProductoResponse',
            'CotizacionProductoBaseResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionProductoBaseResponse',
            'ArrayOfOfertaBase' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfOfertaBase',
            'OfertaBase' => '\\Sura\\Service\\Autoclick\\StructType\\OfertaBase',
            'ArrayOfDeducibleBase' => '\\Sura\\Service\\Autoclick\\ArrayType\\ArrayOfDeducibleBase',
            'DeducibleBase' => '\\Sura\\Service\\Autoclick\\StructType\\DeducibleBase',
            'GeneraCotizacionRequest' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraCotizacionRequest',
            'GeneraCotizacionResponse' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraCotizacionResponse',
            'ConsultaEstadoCotizacionRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaEstadoCotizacionRequest',
            'ConsultaEstadoCotizacionResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaEstadoCotizacionResponse',
            'EstadoCotizacion' => '\\Sura\\Service\\Autoclick\\StructType\\EstadoCotizacion',
            'GeneraPropuestaPolizaRequest' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraPropuestaPolizaRequest',
            'GeneraPropuestaPolizaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraPropuestaPolizaResponse',
            'FormalizaPolizaRequest' => '\\Sura\\Service\\Autoclick\\StructType\\FormalizaPolizaRequest',
            'FormalizaPolizaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\FormalizaPolizaResponse',
            'GeneraPolizaRequest' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraPolizaRequest',
            'GeneraPolizaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\GeneraPolizaResponse',
            'VentaVehiculoRequest' => '\\Sura\\Service\\Autoclick\\StructType\\VentaVehiculoRequest',
            'ReimprimePolizaRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ReimprimePolizaRequest',
            'ReimprimePolizaResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ReimprimePolizaResponse',
            'CotizacionOfertaBaseResponse' => '\\Sura\\Service\\Autoclick\\StructType\\CotizacionOfertaBaseResponse',
            'DescuentoRecargoCotizacionRequest' => '\\Sura\\Service\\Autoclick\\StructType\\DescuentoRecargoCotizacionRequest',
            'DescuentoRecargoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\DescuentoRecargoResponse',
            'DetalleProductoRequest' => '\\Sura\\Service\\Autoclick\\StructType\\DetalleProductoRequest',
            'DetalleProductoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\DetalleProductoResponse',
            'ConsultaSiniestralidadRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaSiniestralidadRequest',
            'ConsultaSiniestralidadResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaSiniestralidadResponse',
            'ConsultaPlanPagoRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaPlanPagoRequest',
            'ConsultaPlanPagoResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaPlanPagoResponse',
            'SolicitudInspeccionRequest' => '\\Sura\\Service\\Autoclick\\StructType\\SolicitudInspeccionRequest',
            'SolicitudInspeccionResponse' => '\\Sura\\Service\\Autoclick\\StructType\\SolicitudInspeccionResponse',
            'ConsultaContactabilidadRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaContactabilidadRequest',
            'ConsultaContactabilidadResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaContactabilidadResponse',
            'ConsultaDocumentosRequest' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaDocumentosRequest',
            'ConsultaDocumentosResponse' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaDocumentosResponse',
            'ConsultaPolizaIndividual' => '\\Sura\\Service\\Autoclick\\StructType\\ConsultaPolizaIndividual',
        );
    }
}
