<?php

namespace Sura\Service\Autoclick\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RespuestaSolicitudInspeccionModel StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:RespuestaSolicitudInspeccionModel
 * @subpackage Structs
 */
class RespuestaSolicitudInspeccionModel extends AbstractStructBase
{
    /**
     * The Descripcion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descripcion;
    /**
     * The IdInspeccion
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdInspeccion;
    /**
     * The IdSolicitud
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $IdSolicitud;
    /**
     * Constructor method for RespuestaSolicitudInspeccionModel
     * @uses RespuestaSolicitudInspeccionModel::setDescripcion()
     * @uses RespuestaSolicitudInspeccionModel::setIdInspeccion()
     * @uses RespuestaSolicitudInspeccionModel::setIdSolicitud()
     * @param string $descripcion
     * @param int $idInspeccion
     * @param int $idSolicitud
     */
    public function __construct($descripcion = null, $idInspeccion = null, $idSolicitud = null)
    {
        $this
            ->setDescripcion($descripcion)
            ->setIdInspeccion($idInspeccion)
            ->setIdSolicitud($idSolicitud);
    }
    /**
     * Get Descripcion value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescripcion()
    {
        return isset($this->Descripcion) ? $this->Descripcion : null;
    }
    /**
     * Set Descripcion value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descripcion
     * @return \Sura\Service\Autoclick\StructType\RespuestaSolicitudInspeccionModel
     */
    public function setDescripcion($descripcion = null)
    {
        // validation for constraint: string
        if (!is_null($descripcion) && !is_string($descripcion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descripcion, true), gettype($descripcion)), __LINE__);
        }
        if (is_null($descripcion) || (is_array($descripcion) && empty($descripcion))) {
            unset($this->Descripcion);
        } else {
            $this->Descripcion = $descripcion;
        }
        return $this;
    }
    /**
     * Get IdInspeccion value
     * @return int|null
     */
    public function getIdInspeccion()
    {
        return $this->IdInspeccion;
    }
    /**
     * Set IdInspeccion value
     * @param int $idInspeccion
     * @return \Sura\Service\Autoclick\StructType\RespuestaSolicitudInspeccionModel
     */
    public function setIdInspeccion($idInspeccion = null)
    {
        // validation for constraint: int
        if (!is_null($idInspeccion) && !(is_int($idInspeccion) || ctype_digit($idInspeccion))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idInspeccion, true), gettype($idInspeccion)), __LINE__);
        }
        $this->IdInspeccion = $idInspeccion;
        return $this;
    }
    /**
     * Get IdSolicitud value
     * @return int|null
     */
    public function getIdSolicitud()
    {
        return $this->IdSolicitud;
    }
    /**
     * Set IdSolicitud value
     * @param int $idSolicitud
     * @return \Sura\Service\Autoclick\StructType\RespuestaSolicitudInspeccionModel
     */
    public function setIdSolicitud($idSolicitud = null)
    {
        // validation for constraint: int
        if (!is_null($idSolicitud) && !(is_int($idSolicitud) || ctype_digit($idSolicitud))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idSolicitud, true), gettype($idSolicitud)), __LINE__);
        }
        $this->IdSolicitud = $idSolicitud;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sura\Service\Autoclick\StructType\RespuestaSolicitudInspeccionModel
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
